All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::internal::NativeArray< Element > Class Template Reference

## Public Types

typedef Element | value_type
typedef Element * | iterator
typedef const Element * | const_iterator

## Public Member Functions

| NativeArray (const Element *array, size_t count, RelationToSourceReference)
| NativeArray (const Element *array, size_t count, RelationToSourceCopy)
| NativeArray (const NativeArray &rhs)
size_t | size () const
const_iterator | begin () const
const_iterator | end () const
bool | operator== (const NativeArray &rhs) const

## Detailed Description

### template<typename Element>
class testing::internal::NativeArray< Element >

Definition at line 1034 of file gtest-internal.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-internal.h